﻿using System.Collections;
using System.Linq;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using KendoUIMvcApplication9.Models;

namespace KendoUIMvcApplication9.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult _Read([DataSourceRequest] DataSourceRequest request)
        {
            return Json(GetProducts().ToDataSourceResult(request));
        }

        private IEnumerable GetProducts()
        {
            return Enumerable.Range(1, 20).Select(i => new Product {
                ID = i,
                Name = "Name" + i
            });
        }
    }
}
